# Build tools

Vieter requires several tools to be developed, one of which being a specific
version of Vlang. This repository manages Dockerfiles & other packages for
these various tools.

## Vlang

### Arch package

The compiler is provided as an Arch package for both `x86_64` and `aarch64`.
This can be installed by adding the repo below to your `pacman.conf` and
installing the `vieter-vlang` package.

```toml
[vieter]
Server = https://arch.r8r.be/$repo/$arch
SigLevel = Optional
```

### Docker image

The Vlang Docker image takes too long to build on my CI, mostly because it
needs to be built for both arm64 & aarch64. It can be built by running the
following command in the `vlang` directory:

```sh
docker buildx build \
    --platform linux/amd64,linux/arm64 \
    -t 'git.rustybever.be/vieter-v/vlang:5d4c9dc9fc11bf8648541c934adb64f27cb94e37-alpine3.17' \
    -t 'git.rustybever.be/vieter-v/vlang:latest' \
    --push .
```

This build requires a working buildx environment.

The hash in the tag corresponds to the tag of the vlang repository.
